<template>
  <div>
    <h1 class="mb-3">Add your shipping address</h1>
    <p class="mb-6">If prescribed, treatment ships quickly and will be discreetly delivered to your door.</p>
    <div class="grid gap-y-3 mb-5">
      <div class="grid grid-cols-2 gap-x-2">
        <text-input
          label="Legal First Name"
          v-model="selected.firstName"
        />
        <text-input
          label="Legal Last Name"
          v-model="selected.lastName"
        />
      </div>
      <text-input
        label="Street Address"
        v-model="selected.address"
      />
      <text-input
        label="Apt/Suite"
        v-model="selected.apt"
      />
      <text-input
        label="City"
        v-model="selected.city"
      />
      <div class="grid grid-cols-2 gap-x-2">
        <text-input
          label="State"
          v-model="selected.state"
        />
        <text-input
          label="Zipcode"
          v-model="selected.zipcode"
        />
      </div>
    </div>
    <div>
      <checkbox-input
        :value="checkboxSelected"
        :transparent="true"
        :input-value="'Yes'"
        @input="handleCheckboxInput"
      >
        Text me shipment updates about my order.
      </checkbox-input>
    </div>
    <common-btn
      class="mt-3"
      text="Continue to Review"
      :disabled="$v.selected.$invalid"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import {required} from 'vuelidate/lib/validators'
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "Shipping",
  validations: {
    selected: {
      firstName: {required},
      lastName: {required},
      address: {required},
      apt: {required},
      city: {required},
      state: {required},
      zipcode: {required},
    },
  },
  mounted() {
    const basics2Data = this.answer(this.answersKeys.THE_BASICS)?.stage_2 || {}
    const basics1Data = this.answer(this.answersKeys.THE_BASICS)?.stage_1 || {}

    this.selected.firstName = basics2Data.firstName
    this.selected.lastName = basics2Data.lastName
    this.selected.zipcode = basics1Data.zipcode

  },
  data() {
    return {
      selected: {
        firstName: '',
        lastName: '',
        address: '',
        apt: '',
        city: '',
        state: '',
        zipcode: '',
      },
      checkHandler: newVal => {
        this.setAnswer(this.answersKeys.SHIPPING, newVal.join('') || false, 'textUpdates')
      }
    }
  },
}
</script>

<style scoped>

</style>
